#ifndef CUDAMAINMATCH_H

#ifndef OPENGL_INCLUDES_H
#define OPENGL_INCLUDES_H


#if defined(__linux__)
#define GL_GLEXT_PROTOTYPES
#include <GL/gl.h>
#include "GL/glut.h"
#elif defined(__APPLE__)
#include <OpenGL/gl.h>
#elif defined(_WIN32)
#include <Windows.h>
#include <GL/glew.h>
#include <GL/glut.h>
#endif

#include <stdio.h>

#ifdef _DEBUG
inline void checkGLErrors( const char *label )
{
	GLenum errCode = glGetError();
	if ( errCode == GL_NO_ERROR )
		return;

	fputs( "OpenGL ERROR: ", stderr);
	fputs( (char*)gluErrorString(errCode), stderr);
	fputs( " (label: ", stderr);
	fputs( label, stderr);
	fputs( ")\n", stderr);
}
#else
#define checkGLErrors( A )
#endif

#endif //OPENGL_INCLUDES_H

#endif // ifndef CUDAMAINMATCH_H
